> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usebridge.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usebridge.com/_mcp/server.

# Get ServiceType

GET https://app.usebridge.com/api/service-types/{id}

Reference: https://docs.usebridge.com/api/api-reference/service-types/get-service-type

## Authentication

- `X-API-Key` header (required) — API Key authentication via header

## Servers

- `https://app.usebridge.com` (Production, default)
- `https://app.usebridge.xyz` (Sandbox)

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

- `id` (string, required)
- `name` (string, required)
- `placeOfService` (enum, required)
  - Allowed values: `TELEHEALTH_HOME`, `TELEHEALTH_NOT_HOME`, `OFFICE`
- `providerType` (enum, required) — [DEPRECATED] The first supported ProviderType, see new 'providerType' array
  - Allowed values: `MD`, `NP`, `DO`, `ND`, `AP`, `OT`, `LCSW`, `LMFT`, `LPC`, `PSYCH`, `RN`, `CN`, `CWC`, `CM`, `PA`, `RDN`, `PT`
- `providerTypes` (list of enum, required) — All supported ProviderTypes
  - Allowed values: `MD`, `NP`, `DO`, `ND`, `AP`, `OT`, `LCSW`, `LMFT`, `LPC`, `PSYCH`, `RN`, `CN`, `CWC`, `CM`, `PA`, `RDN`, `PT`
- `cost` (integer, required)
- `noteFields` (list of string, required)
- `conditionalPatientResponsibility` (boolean, required)
- `selfPayCost` (integer, optional)

## Examples

**Response**

```json
{
  "id": "id",
  "name": "name",
  "placeOfService": "TELEHEALTH_HOME",
  "providerType": "MD",
  "providerTypes": [
    "MD",
    "MD"
  ],
  "cost": 1,
  "noteFields": [
    "noteFields",
    "noteFields"
  ],
  "conditionalPatientResponsibility": true,
  "selfPayCost": 1
}
```

**SDK Code**

```python
import requests

url = "https://app.usebridge.com/api/service-types/id"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.usebridge.com/api/service-types/id';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.usebridge.com/api/service-types/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.usebridge.com/api/service-types/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.usebridge.com/api/service-types/id")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.usebridge.com/api/service-types/id', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.usebridge.com/api/service-types/id");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.usebridge.com/api/service-types/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```